Bug 785560 - Review Request: rubygem-wrongdoc - RDoc done right (IMNSHO)
Summary: Review Request: rubygem-wrongdoc - RDoc done right (IMNSHO)
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Emanuel Rietveld
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-01-29 15:13 UTC by Guillermo Gómez
Modified: 2016-10-11 10:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-11 10:28:19 UTC


Attachments (Terms of Use)

Description Guillermo Gómez 2012-01-29 15:13:20 UTC
Spec URL: http://gomix.fedorapeople.org/rubygem-wrongdoc/rubygem-wrongdoc.spec
SRPM URL: http://gomix.fedorapeople.org/rubygem-wrongdoc/rubygem-wrongdoc-1.6.1-1.fc16.src.rpm
Description: 

wrongdoc mangles an existing RDoc directory and makes any changes we
feel like.  It mainly removes JavaScript from Darkfish and adds links to
a {cgit}[http://hjemli.net/git/cgit/] instance.  It is a bikeshed
project and *entirely* subject to the whims of its creator, so it is
likely the wrong solution for anybody else.

$ rpmlint -v SPECS/rubygem-wrongdoc.spec 
SPECS/rubygem-wrongdoc.spec: I: checking-url http://rubygems.org/gems/wrongdoc-1.6.1.gem (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$ rpmlint -v /var/lib/mock/fedora-16-x86_64-testing/result/rubygem-wrongdoc-1.6.1-1.fc16.noarch.rpm 
rubygem-wrongdoc.noarch: I: checking
rubygem-wrongdoc.noarch: W: spelling-error Summary(en_US) RDoc -> R Doc, Doc, Doctor
rubygem-wrongdoc.noarch: W: spelling-error %description -l en_US cgit -> chit, cit, git
rubygem-wrongdoc.noarch: W: spelling-error %description -l en_US http -> HTTP
rubygem-wrongdoc.noarch: W: spelling-error %description -l en_US hjemli -> hemline
rubygem-wrongdoc.noarch: W: spelling-error %description -l en_US bikeshed -> bike shed, bike-shed, biked
rubygem-wrongdoc.noarch: I: checking-url http://bogomips.org/wrongdoc/ (timeout 10 seconds)
rubygem-wrongdoc.noarch: W: no-manual-page-for-binary wrongdoc
1 packages and 0 specfiles checked; 0 errors, 6 warnings.
$ rpmlint -v /var/lib/mock/fedora-16-x86_64-testing/result/rubygem-wrongdoc-doc-1.6.1-1.fc16.noarch.rpm 
rubygem-wrongdoc-doc.noarch: I: checking
rubygem-wrongdoc-doc.noarch: I: checking-url http://bogomips.org/wrongdoc/ (timeout 10 seconds)
rubygem-wrongdoc-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/wrongdoc-1.6.1/ri/Wrongdoc/Final/advertise%21-i.yaml %21
rubygem-wrongdoc-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/wrongdoc-1.6.1/ri/Wrongdoc/Final/source_linkify%21-i.yaml %21
rubygem-wrongdoc-doc.noarch: W: unexpanded-macro /usr/lib/ruby/gems/1.8/doc/wrongdoc-1.6.1/ri/Wrongdoc/Final/killkillkill%21-i.yaml %21
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Comment 1 Guillermo Gómez 2012-01-29 15:44:23 UTC
Required rubygem(nokogiri) version available in updates-testing !

Comment 2 Guillermo Gómez 2012-01-31 15:04:58 UTC
Required rubygem(nokogiri) pushed today to stable repos.

Comment 3 Emanuel Rietveld 2012-01-31 15:53:01 UTC
I'll take this one.

Two questions about dependencies.

1) Version 1.6.1 has the below commit bumping rdoc dependency to 3.9 from 3.3. 
The commit message does not say why. The latest version in fedora is 3.8. Are you sure 3.8 also fulfills the dependency?

http://bogomips.org/wrongdoc.git/commit/?id=33c794a884a65d1dceff17e6ec5729b8538f20b6

2) Your spec lists Requires: rubygem(tidy_ffi) but I cannot find any package fedora that Provides this. Can you help me find it?

Comment 4 Emanuel Rietveld 2012-01-31 16:16:35 UTC
According to Ruby Packaging guidelines: http://fedoraproject.org/wiki/Packaging:Ruby#Ruby_Gems

- For every dependency on a Gem named gemdep, the package must contain a Requires on rubygem(%{gemdep}) with the same version constraints as the Gem.

You do not have version constraints on your Requires.

Here is similar language from the draft packaging guidelines https://fedoraproject.org/wiki/PackagingDrafts/Ruby

- For every dependency on a Gem named gemdep, the package must contain a Requires on rubygem(%{gemdep}). Packager must ensure that the package works properly with its specified dependencies. Please note, that Fedora may carry different versions of Gems than those specified in Gem specification, therefore the versions required in specfile may not match the dependencies in Gem specification exactly. In that case, the Gem specification (.gemspec) file must be adjusted accordingly.

Comment 5 Emanuel Rietveld 2012-01-31 16:17:35 UTC
Review summary:

- Missing dependency rubygem(tidy_ffi) ?
- I'm not sure if you are following packaging guidelines with regards to version constrains on the gemdeps
- Package looks OK to me otherwise

Legend

+ OK
- Not Applicable, ignored
? Still under Review

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1]
[+] MUST: The package must be named according to the Package Naming Guidelines .
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] .
[?] MUST: The package must meet the Packaging Guidelines .
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+] MUST: The License field in the package spec file must match the actual license. [3]
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
[+] MUST: The spec file must be written in American English. [5]
[+] MUST: The spec file for the package MUST be legible. [6]
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
[?] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
[-] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. [8]
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[+] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
[-] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]
[+] MUST: Packages must NOT bundle copies of system libraries.[11]
[-] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]
[+] MUST: Each package must consistently use macros. [16]
[+] MUST: The package must contain code, or permissable content. [17]
[+] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
[-] MUST: Header files must be in a -devel package. [19]
[-] MUST: Static libraries must be in a -static package. [20]
[-] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
[-] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
[-] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
[-] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
[+] MUST: All filenames in rpm packages must be valid UTF-8. [24]

[-] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [25]
[-] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [26]
[?] SHOULD: The reviewer should test that the package builds in mock. [27]
[-] SHOULD: The package should compile and build into binary rpms on all supported architectures. [28]
[?] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[-] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [29]
[-] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [21]
call ldconfig in %post and %postun. [10]
[+] MUST: Packages must NOT bundle copies of system libraries.[11]
[-] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. [12]
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]
[+] MUST: Each package must consistently use macros. [16]
[+] MUST: The package must contain code, or permissable content. [17]
[+] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
[-] MUST: Header files must be in a -devel package. [19]
[-] MUST: Static libraries must be in a -static package. [20]
[-] MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. [19]
[-] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
[-] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.[20]
[-] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. [22]
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
[+] MUST: All filenames in rpm packages must be valid UTF-8. [24]

[-] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. [25]
[-] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [26]
[?] SHOULD: The reviewer should test that the package builds in mock. [27]
[-] SHOULD: The package should compile and build into binary rpms on all supported architectures. [28]
[?] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[-] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. [29]
[-] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. [21]

Comment 6 Guillermo Gómez 2012-02-02 01:25:30 UTC
(In reply to comment #5)
> Review summary:
> 
> - Missing dependency rubygem(tidy_ffi) ?
> - I'm not sure if you are following packaging guidelines with regards to
> version constrains on the gemdeps
> - Package looks OK to me otherwise
> 
> Legend
> 
> + OK
> - Not Applicable, ignored
> ? Still under Review
> 
> [+] MUST: rpmlint must be run on the source rpm and all binary rpms the build
> produces. The output should be posted in the review.[1]
> [+] MUST: The package must be named according to the Package Naming Guidelines
> .
> [+] MUST: The spec file name must match the base package %{name}, in the format
> %{name}.spec unless your package has an exemption. [2] .
> [?] MUST: The package must meet the Packaging Guidelines .
> [+] MUST: The package must be licensed with a Fedora approved license and meet
> the Licensing Guidelines .
> [+] MUST: The License field in the package spec file must match the actual
> license. [3]
> [+] MUST: If (and only if) the source package includes the text of the
> license(s) in its own file, then that file, containing the text of the
> license(s) for the package must be included in %doc.[4]
> [+] MUST: The spec file must be written in American English. [5]
> [+] MUST: The spec file for the package MUST be legible. [6]
> [+] MUST: The sources used to build the package must match the upstream source,
> as provided in the spec URL. Reviewers should use md5sum for this task. If no
> upstream URL can be specified for this package, please see the Source URL
> Guidelines for how to deal with this.
> [?] MUST: The package MUST successfully compile and build into binary rpms on
> at least one primary architecture. [7]
> [-] MUST: If the package does not successfully compile, build or work on an
> architecture, then those architectures should be listed in the spec in
> ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
> bugzilla, describing the reason that the package does not compile/build/work on
> that architecture. The bug number MUST be placed in a comment, next to the
> corresponding ExcludeArch line. [8]
> [+] MUST: All build dependencies must be listed in BuildRequires, except for
> any that are listed in the exceptions section of the Packaging Guidelines ;
> inclusion of those as BuildRequires is optional. Apply common sense.
> [+] MUST: The spec file MUST handle locales properly. This is done by using the
> %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
> [-] MUST: Every binary RPM package (or subpackage) which stores shared library
> files (not just symlinks) in any of the dynamic linker's default paths, must
> call ldconfig in %post and %postun. [10]
> [+] MUST: Packages must NOT bundle copies of system libraries.[11]
> [-] MUST: If the package is designed to be relocatable, the packager must state
> this fact in the request for review, along with the rationalization for
> relocation of that specific package. Without this, use of Prefix: /usr is
> considered a blocker. [12]
> [+] MUST: A package must own all directories that it creates. If it does not
> create a directory that it uses, then it should require a package which does
> create that directory. [13]
> [+] MUST: A Fedora package must not list a file more than once in the spec
> file's %files listings. (Notable exception: license texts in specific
> situations)[14]
> [+] MUST: Permissions on files must be set properly. Executables should be set
> with executable permissions, for example. [15]
> [+] MUST: Each package must consistently use macros. [16]
> [+] MUST: The package must contain code, or permissable content. [17]
> [+] MUST: Large documentation files must go in a -doc subpackage. (The
> definition of large is left up to the packager's best judgement, but is not
> restricted to size. Large can refer to either size or quantity). [18]
> [+] MUST: If a package includes something as %doc, it must not affect the
> runtime of the application. To summarize: If it is in %doc, the program must
> run properly if it is not present. [18]
> [-] MUST: Header files must be in a -devel package. [19]
> [-] MUST: Static libraries must be in a -static package. [20]
> [-] MUST: If a package contains library files with a suffix (e.g.
> libfoo.so.1.1), then library files that end in .so (without suffix) must go in
> a -devel package. [19]
> [-] MUST: In the vast majority of cases, devel packages must require the base
> package using a fully versioned dependency: Requires: %{name}%{?_isa} =
> %{version}-%{release} [21]
> [-] MUST: Packages must NOT contain any .la libtool archives, these must be
> removed in the spec if they are built.[20]
> [-] MUST: Packages containing GUI applications must include a %{name}.desktop
> file, and that file must be properly installed with desktop-file-install in the
> %install section. If you feel that your packaged GUI application does not need
> a .desktop file, you must put a comment in the spec file with your explanation.
> [22]
> [+] MUST: Packages must not own files or directories already owned by other
> packages. The rule of thumb here is that the first package to be installed
> should own the files or directories that other packages may rely upon. This
> means, for example, that no package in Fedora should ever share ownership with
> any of the files or directories owned by the filesystem or man package. If you
> feel that you have a good reason to own a file or directory that another
> package owns, then please present that at package review time. [23]
> [+] MUST: All filenames in rpm packages must be valid UTF-8. [24]
> 
> [-] SHOULD: If the source package does not include license text(s) as a
> separate file from upstream, the packager SHOULD query upstream to include it.
> [25]
> [-] SHOULD: The description and summary sections in the package spec file
> should contain translations for supported Non-English languages, if available.
> [26]
> [?] SHOULD: The reviewer should test that the package builds in mock. [27]
> [-] SHOULD: The package should compile and build into binary rpms on all
> supported architectures. [28]
> [?] SHOULD: The reviewer should test that the package functions as described. A
> package should not segfault instead of running, for example.
> [-] SHOULD: If scriptlets are used, those scriptlets must be sane. This is
> vague, and left up to the reviewers judgement to determine sanity. [29]
> [-] SHOULD: Usually, subpackages other than devel should require the base
> package using a fully versioned dependency. [21]
> call ldconfig in %post and %postun. [10]
> [+] MUST: Packages must NOT bundle copies of system libraries.[11]
> [-] MUST: If the package is designed to be relocatable, the packager must state
> this fact in the request for review, along with the rationalization for
> relocation of that specific package. Without this, use of Prefix: /usr is
> considered a blocker. [12]
> [+] MUST: A package must own all directories that it creates. If it does not
> create a directory that it uses, then it should require a package which does
> create that directory. [13]
> [+] MUST: A Fedora package must not list a file more than once in the spec
> file's %files listings. (Notable exception: license texts in specific
> situations)[14]
> [+] MUST: Permissions on files must be set properly. Executables should be set
> with executable permissions, for example. [15]
> [+] MUST: Each package must consistently use macros. [16]
> [+] MUST: The package must contain code, or permissable content. [17]
> [+] MUST: Large documentation files must go in a -doc subpackage. (The
> definition of large is left up to the packager's best judgement, but is not
> restricted to size. Large can refer to either size or quantity). [18]
> [+] MUST: If a package includes something as %doc, it must not affect the
> runtime of the application. To summarize: If it is in %doc, the program must
> run properly if it is not present. [18]
> [-] MUST: Header files must be in a -devel package. [19]
> [-] MUST: Static libraries must be in a -static package. [20]
> [-] MUST: If a package contains library files with a suffix (e.g.
> libfoo.so.1.1), then library files that end in .so (without suffix) must go in
> a -devel package. [19]
> [-] MUST: In the vast majority of cases, devel packages must require the base
> package using a fully versioned dependency: Requires: %{name}%{?_isa} =
> %{version}-%{release} [21]
> [-] MUST: Packages must NOT contain any .la libtool archives, these must be
> removed in the spec if they are built.[20]
> [-] MUST: Packages containing GUI applications must include a %{name}.desktop
> file, and that file must be properly installed with desktop-file-install in the
> %install section. If you feel that your packaged GUI application does not need
> a .desktop file, you must put a comment in the spec file with your explanation.
> [22]
> [+] MUST: Packages must not own files or directories already owned by other
> packages. The rule of thumb here is that the first package to be installed
> should own the files or directories that other packages may rely upon. This
> means, for example, that no package in Fedora should ever share ownership with
> any of the files or directories owned by the filesystem or man package. If you
> feel that you have a good reason to own a file or directory that another
> package owns, then please present that at package review time. [23]
> [+] MUST: All filenames in rpm packages must be valid UTF-8. [24]
> 
> [-] SHOULD: If the source package does not include license text(s) as a
> separate file from upstream, the packager SHOULD query upstream to include it.
> [25]
> [-] SHOULD: The description and summary sections in the package spec file
> should contain translations for supported Non-English languages, if available.
> [26]
> [?] SHOULD: The reviewer should test that the package builds in mock. [27]
> [-] SHOULD: The package should compile and build into binary rpms on all
> supported architectures. [28]
> [?] SHOULD: The reviewer should test that the package functions as described. A
> package should not segfault instead of running, for example.
> [-] SHOULD: If scriptlets are used, those scriptlets must be sane. This is
> vague, and left up to the reviewers judgement to determine sanity. [29]
> [-] SHOULD: Usually, subpackages other than devel should require the base
> package using a fully versioned dependency. [21]

Thank u very much for reviewing, i'll address any issues as soon as i can, but clearly i made a mistake with missing dependency, so i'll take care about that first .

Comment 7 Guillermo Gómez 2012-02-22 11:00:45 UTC
Missing dep BZ filed: https://bugzilla.redhat.com/show_bug.cgi?id=796112

Comment 8 Upstream Release Monitoring 2015-09-24 15:04:18 UTC
jgrulich's scratch build of kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 for f22-candidate and git://pkgs.fedoraproject.org/kdevelop?#c8e2b9bc57f11e41f3dc6612cdbcc591078d9062 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11212117

Comment 9 Vít Ondruch 2016-10-11 10:28:19 UTC
This does not look to be alive. The missing dependency review was already closed long ago => closing this as well.


Note You need to log in before you can comment on or make changes to this bug.